Subject: bug#27617: 26.0.50; cl--random-state initialized to old-style vector

From: Christopher Wellons <[email-masked]>
Date: Sat, 8 Jul 2017 09:39:18 -0400

The global variable cl--random-state is still being initialized to the 
old defstruct vector format. See lisp/emacs-lisp/cl-lib.el:296. This 
breaks all random number functions when the STATE argument isn't 
supplied:

    $ emacs -Q --batch -l cl-lib --eval '(cl-random 10)'
    Wrong type argument: cl--random-state, [cl--random-state-tag -1 30 ...]